/** \file display.h
 * Definitions for high level display.
 */

#ifndef DISPLAY_H
#define DISPLAY_H

#define DS_STATIC 0
#define DS_TEXT 1
#define DS_NUMERIC 2
#define DS_PERCENTAGE 3
#define DS_NO_YES 4
#define DS_ARROWS 5
#define DS_RAWTEXT 6


#define DS_TEXTLENGTH 50
#define DISPLAY_ITEMS 32

extern xdata unsigned char displayTimeCount;

extern xdata struct displayItemStruct {
  char style;
  char title[12];
  char text[12];
} displayItem[DISPLAY_ITEMS];

void SetDisplayTitle(char n, char *s);
void SetDisplayText(char n, char *s);
void SetDisplayPercent (char n, char displayValue);
void SetDisplaySignedValue(char n, int i);

#if 0
extern volatile xdata signed char displayPosition;
extern xdata char displayTitle[16];
extern xdata char displayText[DS_TEXTLENGTH+1];
extern xdata char displayLength;
extern xdata char displayStyle;
extern xdata char displayValue;

char InitDisplay(char style, char *title, char *text, int value);
#endif

void UpdateDisplay(unsigned char n);

#endif

