/** \file mmc.h
 * MMC interface routines for storage.c.
 */

#ifndef MMC_H
#define MMC_H

extern xdata unsigned char storageFlags;

/** Start-up the MMC card.
 * - Returns 0 when successful and supports seek-before-read
 * - Returns 0x0e when successful but no support for seek-before-read 
 * - Returns 1 when MMC card is not found
 * - Returns 2 when MMC card seems to be present but can't be read from.
*/
unsigned char InitMMC();

/** Perform MMC Seek Command for offset sectorN*512 */
unsigned char SeekSector(unsigned long sectorN);

/** Perform block read of previously sought sector to diskSect. */
unsigned char ReadPhysicalSector();

/** Perform MMC block write from <b>*dataBufPtr</b> to sector 
    sectorAddress.l.*/
unsigned char WritePhysicalSector();

unsigned char MmcWaitForData();
void PerformBlockRead();


#endif
