/** \file storage.h
 * Disk read/write routines.
 * Implemented Disk interface: MMC.
 * This module reads and writes blocks of disk data to/from a global
 * buffer. The logical place to define these globals is where they are
 * needed most: the module that contains the file system functions.
 * By default that means filesys.c.
 * These globals are needed (see filesys.h):
 * - sectorAddress - contains the absolute
 * disk sector number
 * - diskSect[512] for data read/write
 */

#ifndef STORAGE_H
#define STORAGE_H


/** Initialize the storage system */
unsigned char InitStorage();

/** Read a disk sector to global buffer. */
unsigned char ReadDiskSector(unsigned long sectorN);

/** Do a hex dump on console of current sector in memory */
void DumpDiskSector();

/** Write current buffer memory to sectorN
 * \warning Unimplemented!
 * \todo Implement WriteDiskSector()
 */
void WriteDiskSector(unsigned long sectorN);
void WriteDiskSectorRec(unsigned long sectorN);


unsigned char TransferSectorSDI(unsigned long sectorN);
unsigned char TransferSectorSCI(unsigned long sectorN);



#endif
